# Class P3i

java.lang.Object
javajs.util.T3i
javajs.util.P3i

All Implemented Interfaces:
  `Serializable`

public class P3i extends T3i
A 3 element point that is represented by signed integer x,y,z coordinates.

Since:
  Java 3D 1.2
Version:
  specification 1.2, implementation $Revision: 1.9 $, $Date: 2006/07/28 17:01:33 $
Author:
  Kenji hiranabe additions by Bob Hanson hansonr@stolaf.edu 9/30/2012 for unique constructor and method names for the optimization of compiled JavaScript using Java2Script
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class T3i

`x, y, z`

## Constructor Summary

Constructors
Constructor
Description
`P3i()`

## Method Summary

Modifier and Type
Method
Description
`static P3i`
`new3(int x, int y, int z)`

### Methods inherited from class T3i

`add, asString, equals, hashCode, scaleAdd, set, setT, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### P3i

public P3i()

## Method Details

### new3

public static P3i new3(int x, int y, int z)